Summary
Validate a workflow
Description
Validate a workflow, and return the resulting errors and warnings arrays.
Route
POST /workflow_engine/workflows/validate
Roles
admin
engineering
support
apiread
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
The workflow to validate |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"ed49238cf6e470d1234a4329",
"a683c876c0a3eb13555cbb6b"
],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"919011f875cea9521438b191",
"ba6ca341c2842dde09aa299b"
],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"error_handler": {
"name": "childJob",
"summary": "dolor aliqua dolor ex",
"description": "nostrud pariatur reprehenderit",
"app": "id commodo ullamco aliqua",
"variables": {
"error": ""
},
"groups": [
"cef857b5409fa2d06433a74f",
"acf8b944e146b3ad94fd7b02",
"baf05779c3f72e6d317d594c"
],
"x": 0.36142061281337046,
"y": 0.502092050209205,
"type": "operation",
"deprecated": true,
"scheduled": true,
"retrySettings": {
"state": [
"failure",
"success",
"success",
"success",
"error"
],
"autoRetry": false,
"limit": 20,
"delay": 1000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"59332634cf61fcf2fcdb1610"
],
"_id": "4321abcdef694aa79dae47ad",
"description": "incididunt dolore",
"preAutomationTime": 5000,
"font_size": 12,
"created": "2007-10-24T04:54:15.108Z",
"created_by": "e2fb285d3e066eb4c8335d05",
"last_updated": "2024-01-05T21:06:51.888Z",
"last_updated_by": "6c69deb83e1a6124a682d29d",
"lastUpdatedVersion": "ad dolore in",
"tags": [
"sint officia nulla enim consectetur",
"est sunt",
"mollit do"
],
"canvasVersion": 1,
"encodingVersion": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow": {
"$ref": "workflowDocument"
}
},
"required": [
"workflow"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| validationResult |
object |
Errors and warnings output from the validation process |
Copied to Clipboard
{
"errors": [],
"warnings": []
}
Copied to Clipboard
{
"title": "validationResult",
"type": "object",
"properties": {
"errors": {
"type": "array",
"items": {
"type": "object"
}
},
"warnings": {
"type": "array",
"items": {
"type": "object"
}
}
}
}